### Constructor

# Gsk.OpacityNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_opacity_node_new (
      GskRenderNode* child,
      float opacity
    )

#### Description [src]

Creates a `GskRenderNode` that will drawn the `child` with reduced `opacity`.

#### Parameters

`child` | `GskRenderNode`
| The node to draw
| Ownership is not transferred to the callee
`opacity` | `float`
| The opacity to apply

#### Return value

Returns: `GskOpacityNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller